function []= convtolibsp(filename,x)
%THe function of this routine is to convert matlab variable into sparse libsvm format
%that can read by routine in C++ for SVM training, which has the following
%format  output_value index:input_value index:input_value............
%eg. 1 1:10 2:20....etc. the variable x should have the data arrange in
%row, i.e. first raw is first data point, second raw is second data point
%assum only one output

fid=fopen(filename,'w');
[row,col]= size(x);
for i=1:row
    fprintf(fid,'%i',x(i,1));
    no_zero=find(x(i,2:col));
    for j=1:length(no_zero)
        fprintf(fid,' %i:%f',no_zero(j),x(i,no_zero(j)+1));
        
    end
    fprintf(fid,'\n');
    
end

fclose(fid);